using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split();
            int[] a = new int[n];
            for (int i = 0; i < s.Length; i++) // Unos
            {
                a[i] = int.Parse(s[i]);
            }
            int q = int.Parse(Console.ReadLine());
            int l, r;
            bool provera; //Da li je iskoriscen skip
            bool resenje; //Da li je DA ili NE
            int j;
            for (int i = 0; i < q; i++)
            {
                s = Console.ReadLine().Split();
                l = int.Parse(s[0]);
                r = int.Parse(s[1]);
                provera = true;
                resenje = true;
                if (l == r)
                    Console.WriteLine("DA");
                else
                {
                    for (j = 0; j < r - l; j++)
                    {
                        if (a[l - 1] > a[l + j + 1])
                        {
                            if (!provera)
                            {
                                Console.WriteLine("NE");
                                resenje = false;
                                break;
                            }
                            else
                            {
                                j++;
                                provera = false;
                            }
                        }
                    }
                    if (j == r - l && resenje)
                        Console.WriteLine("DA");
                }
            }
            Console.ReadLine();
        }
    }
}